Subject: [alpine-devel] new aport tcl

From: "Carlo Landmeter" <[email-masked]>
Date: Thu, 22 Jan 2009 19:00:52 +0000

New aport TCL.
Copied from archlinux and cleaned up for APKBUILD.

Carlo

From 73e01973c06cc10e02908925ea19579a86e5d4ed Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Thu, 22 Jan 2009 18:55:09 +0000
Subject: [PATCH] extra/tcl new aport

---
 extra/tcl/APKBUILD |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)
 create mode 100644 extra/tcl/APKBUILD

diff --git a/extra/tcl/APKBUILD b/extra/tcl/APKBUILD
new file mode 100644
index 0000000..12205b0
--- /dev/null
+++ b/extra/tcl/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=tcl
+pkgver=8.5.6
+pkgrel=0
+pkgdesc="The Tcl scripting language"
+url="http://tcl.sourceforge.net/"
+license="custom"
+depends="uclibc"
+makedepends=""
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname$pkgver-src.tar.gz"
+subpackages="$pkgname-doc $pkgname-dev"
+
+build ()
+{
+        cd ${srcdir}/tcl${pkgver}/unix
+        ./configure --prefix=/usr \
+        --mandir=/usr/share/man \
+        --disable-64bit
+        make || return 1
+        make INSTALL_ROOT=${pkgdir} install install-private-headers
+        ln -sf tclsh8.5 ${pkgdir}/usr/bin/tclsh
+        install -Dm644 ../license.terms ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+        sed -i \
+        -e "s,^TCL_BUILD_LIB_SPEC='-L.*/unix,TCL_BUILD_LIB_SPEC='-L/usr/lib," \
+        -e "s,^TCL_SRC_DIR='.*',TCL_SRC_DIR='/usr/include'," \
+        -e "s,^TCL_BUILD_STUB_LIB_SPEC='-L.*/unix,TCL_BUILD_STUB_LIB_SPEC='-L/usr/lib," \
+        -e "s,^TCL_BUILD_STUB_LIB_PATH='.*/unix,TCL_BUILD_STUB_LIB_PATH='/usr/lib," \
+        -e "s,^TCL_LIB_FILE='libtcl8.5..TCL_DBGX..so',TCL_LIB_FILE=\"libtcl8.5\$\{TCL_DBGX\}.so\"," \
+        -e "s,^TCL_CC_SEARCH_FLAGS='\(.*\)',TCL_CC_SEARCH_FLAGS='\1:/usr/lib'," \
+        -e "s,^TCL_LD_SEARCH_FLAGS='\(.*\)',TCL_LD_SEARCH_FLAGS='\1:/usr/lib'," \
+        ${pkgdir}/usr/lib/tclConfig.sh
+}
+md5sums="d0b0b3ff7600ff63135c710b575265cd  tcl8.5.6-src.tar.gz"
-- 
1.6.1